package com.ejie.m62fb.model;

import java.math.BigDecimal;

import com.ejie.m62fb.model.base.AbstractM62FBModel;
import com.ejie.m62fb.model.persona.Persona;
import com.ejie.m62fb.model.tipos.TipoSiNo;

/**
 * M62r06t0- Table BD reference
 * 
XXXX
 */

public class Inquilino extends AbstractM62FBModel implements
		java.io.Serializable {

	private static final long serialVersionUID = 1L;

	// Clave compuesta
	private Vivienda vivienda;
	private BigDecimal numInquilino;
	private Persona persona;

	private ExpedienteVivienda expedienteVivienda;
	private TipoSiNo indVivAdaptada;
	private TipoSiNo indEnvRegProp;
	
	private Integer idContrato;
	private Integer idM62r06t0;	

	/**
	 * Method 'Inquilino'.
	 */
	public Inquilino() {
		super();
	}

	/**
	 * Method 'Inquilino'.
	 * 
	 * @param numInquilino
	 */
	public Inquilino(BigDecimal numInquilino) {
		super();
		this.numInquilino = numInquilino;
	}

	/**
	 * Method 'Inquilino'.
	 * 
	 * @param numVivienda
	 *            BigDecimal
	 * @param numInquilino
	 *            BigDecimal
	 * @param idPersona
	 *            BigDecimal
	 */
	public Inquilino(BigDecimal numVivienda, BigDecimal numInquilino,
			BigDecimal idPersona) {
		super();
		this.vivienda = new Vivienda(numVivienda);
		this.numInquilino = numInquilino;
		this.persona = new Persona(idPersona);
	}
	
		
	/**
	 * @param idM62r06t0
	 */
	public Inquilino(Integer idM62r06t0) {
		super();
		this.idM62r06t0 = idM62r06t0;
	}

	/**
	 * Method 'getVivienda'
	 * 
	 * @return vivienda
	 */
	public Vivienda getVivienda() {
		return this.vivienda;
	}

	/**
	 * Method 'setVivienda'
	 * 
	 * @param vivienda
	 *            Vivienda
	 */
	public void setVivienda(Vivienda vivienda) {
		this.vivienda = vivienda;
	}

	/**
	 * Method 'getNumInquilino'
	 * 
	 * @return numInquilino
	 */
	public BigDecimal getNumInquilino() {
		return this.numInquilino;
	}

	/**
	 * Method 'setNumInquilino'
	 * 
	 * @param numInquilino
	 *            BigDecimal
	 */
	public void setNumInquilino(BigDecimal numInquilino) {
		this.numInquilino = numInquilino;
	}

	/**
	 * Method 'getPersona'
	 * 
	 * @return persona
	 */
	public Persona getPersona() {
		return this.persona;
	}

	/**
	 * Method 'setPersona'
	 * 
	 * @param persona
	 *            Persona
	 */
	public void setPersona(Persona persona) {
		this.persona = persona;
	}

	/**
	 * Method 'getExpedienteVivienda'
	 * 
	 * @return expedienteVivienda
	 */
	public ExpedienteVivienda getExpedienteVivienda() {
		return this.expedienteVivienda;
	}

	/**
	 * Method 'setExpedienteVivienda'
	 * 
	 * @param expedienteVivienda
	 *            ExpedienteVivienda
	 */
	public void setExpedienteVivienda(ExpedienteVivienda expedienteVivienda) {
		this.expedienteVivienda = expedienteVivienda;
	}

	/**
	 * Method 'getIndVivAdaptada'
	 * 
	 * @return indVivAdaptada
	 */
	public TipoSiNo getIndVivAdaptada() {
		return this.indVivAdaptada;
	}

	/**
	 * Method 'setIndVivAdaptada'
	 * 
	 * @param indVivAdaptada
	 *            TipoSiNo
	 */
	public void setIndVivAdaptada(TipoSiNo indVivAdaptada) {
		this.indVivAdaptada = indVivAdaptada;
	}

	/**
	 * Method 'getIndEnvRegProp'
	 * 
	 * @return indEnvRegProp
	 */
	public TipoSiNo getIndEnvRegProp() {
		return this.indEnvRegProp;
	}

	/**
	 * Method 'setIndEnvRegProp'
	 * 
	 * @param indEnvRegProp
	 *            TipoSiNo
	 */
	public void setIndEnvRegProp(TipoSiNo indEnvRegProp) {
		this.indEnvRegProp = indEnvRegProp;
	}

	/**
	 * @return the idContrato
	 */
	public Integer getIdContrato() {
		return idContrato;
	}

	/**
	 * @param idContrato the idContrato to set
	 */
	public void setIdContrato(Integer idContrato) {
		this.idContrato = idContrato;
	}

	/**
	 * @return the idM62r06t0
	 */
	public Integer getIdM62r06t0() {
		return idM62r06t0;
	}

	/**
	 * @param idM62r06t0 the idM62r06t0 to set
	 */
	public void setIdM62r06t0(Integer idM62r06t0) {
		this.idM62r06t0 = idM62r06t0;
	}
	
	
}
